Bug 200625 - devel/rubygem-devise : writes to illegal area
Summary: devel/rubygem-devise : writes to illegal area
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ruby (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-04 06:13 UTC by John Marino
Modified: 2015-06-07 14:47 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2015-06-04 06:13:59 UTC
another misbehaving ruby gem ....

(Note that it is building in stage as well)
DragonFly poudriere sets "illegal" areas as read-only so that ports fail when they try to write there.  This is intentional.

=======================<phase: stage          >============================
===>  Staging for rubygem-devise-3.5.1
===>   Generating temporary packing list
(cd /wrkdirs/devel/rubygem-devise/work/devise-3.5.1; /usr/bin/env LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 LC_CTYPE=UTF-8 RB_USER_INSTALL=yes /usr/local/bin/gem21 install -l --no-update-sources --install-dir /wrkdirs/devel/rubygem-devise/work/stage/usr/local/lib/ruby/gems/2.1 --ignore-dependencies --bindir=/wrkdirs/devel/rubygem-devise/work/stage/usr/local/bin --rdoc --ri devise-3.5.1.gem -- --build-args )
ERROR:  While executing gem ... (RDoc::Error)
    error generating /:.html: Read-only file system @ rb_sysopen - /:.html (Errno::EROFS)
Successfully installed devise-3.5.1
Installing ri documentation for devise-3.5.1
Installing darkfish documentation for devise-3.5.1
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/rubygem-devise
=> Cleaning up wrkdir
===>  Cleaning for rubygem-devise-3.5.1
build of devel/rubygem-devise ended at Wed Jun  3 17:58:15 PDT 2015
build time: 00:00:26
!!! build failure encountered !!!
Comment 1 Michael Moll freebsd_committer 2015-06-04 16:42:57 UTC
Is this the only gem where his is happening?
Comment 2 John Marino freebsd_committer 2015-06-04 16:44:13 UTC
for the "Read-only file system" problem, it's the only one I'm aware of.
Comment 3 Michael Moll freebsd_committer 2015-06-04 17:07:53 UTC
seeing it in FreeBSD poudriere similarly also, thanks.
Comment 4 commit-hook freebsd_committer 2015-06-06 20:38:13 UTC
A commit references this bug:

Author: mmoll
Date: Sat Jun  6 20:37:37 UTC 2015
New revision: 388685
URL: https://svnweb.freebsd.org/changeset/ports/388685

Log:
  devel/rubygem-devise: re-add bsd.port.options.mk

  PR:		200625
  Differential Revision:	https://reviews.freebsd.org/D2739
  Approved by:	swills (mentor)

Changes:
  head/devel/rubygem-devise/Makefile
Comment 5 Michael Moll freebsd_committer 2015-06-06 20:39:40 UTC
Please check, if that's fixed on Dragonfly, too.
Comment 6 John Marino freebsd_committer 2015-06-06 21:38:14 UTC
I confirm it builds in DF poudriere now, thanks!
Comment 7 commit-hook freebsd_committer 2015-06-07 14:47:22 UTC
A commit references this bug:

Author: mmoll
Date: Sun Jun  7 14:46:32 UTC 2015
New revision: 388701
URL: https://svnweb.freebsd.org/changeset/ports/388701

Log:
  devel/rubygem-devise: fix PR 200625 correctly

  This reverts r388685 and modifies the gemspec to not include a file that
  caused the offending html file to get generated in the rdoc step.

  Bump portrevision because now the rails dependencies are getting pulled
  in correctly again.

  PR:		200625
  Differential Revision:	https://reviews.freebsd.org/D2739
  Approved by:	mat (mentor)

Changes:
  head/devel/rubygem-devise/Makefile